<app-loading *ngIf='isLoading'></app-loading>
<nz-table #basicTable [nzData]="listUnassigned" [nzScroll]="{ x: '1000px', y: '35rem' }" nzSize='small'
  [nzShowPagination]="false" nzTableLayout="fixed" class="data-table">
  <thead>
    <tr>
      <th id="index" class="text-nowrap" nzLeft nzWidth="4rem">{{'targerManager.table.stt' | translate}}</th>
      <th id="codeEmploy" class="text-nowrap">{{'targerManager.employTargetList.label.codeEmploy' | translate}}
      </th>
      <th id="fullname" class="text-nowrap">{{'targerManager.employTargetList.label.fullname' | translate}}</th>
      <th id="position" class="text-nowrap">{{'targerManager.setOfIndicators.label.table.position' | translate}}
      </th>
      <th id="setofindicator" class="text-nowrap">{{'targerManager.setOfIndicators.label.table.setOfIndicatorsEmployee'
        | translate}}
      </th>
      <th id="operation" nzRight nzWidth="12rem">
      </th>
    </tr>
  </thead>
  <tbody *ngIf="listUnassigned && listUnassigned.length > 0">
    <tr *ngFor="let data of listUnassigned; let i = index;trackBy: trackFntable">
      <td nzLeft>{{i+1}}</td>
      <td>{{data.empCode}}</td>
      <td>{{data.fullName}}</td>
      <td>{{data.posName}}</td>
      <td>
        <mb-select
          [mbDataSelects]="data.setOfTargetList"
          [mbType]="(isSubmit && !objectSubmit.sotId) ? 'error' : 'default'"
          mbKeyLabel="sotName"
          mbKeyValue="sotId"
          mbType="default"
          (mbEventEmit)="selectSetOfIndicator($event)"
        >
        </mb-select>
        <div *ngIf="isSubmit && !objectSubmit.sotId" class="error">
          <em nz-icon nzType="close-circle" nzTheme="outline"></em>
          <span>Vui lòng chọn bộ chỉ tiêu</span>
        </div>
      </td>
      <td>
        <img alt="" src="assets/images/icon/icon-mess.png" (click)="submitData(data)"/>
      </td>
    </tr>
  </tbody>
</nz-table>
